Name: website
Version: 2.4.0
Release: alt3
Group: Publishing

Summary: Website DTD and XSL-styles by Norman Walsh

License: Distributable
Url: http://docbook.sourceforge.net/projects/website/

PreReq: xml-common xml-utils sgml-common
Requires: docbook-dtds docbook-style-xsl

Source0: http://prdownloads.sourceforge.net/docbook/%name-%version.tar.bz2
Source1: website.catalog.sgml
Source2: website.ignore.buildreq
Patch0: catalog.xml.patch.bz2

BuildArch: noarch
BuildRequires: xsltproc xml-common alt-docs-xsl-xhtml

%define xmlconfdir %_sysconfdir/xml
%define websitedir %_datadir/xml/website
%define catalog %xmlconfdir/catalog

%description
Website provides a system for building static Websites from 
XML content. It contains a Website DTD - customization of 
DocBook DTD, and XSL stylesheets for building website pages.

%description -l ru_RU.CP1251
Website -      web- 
 XML-.  Website DTD -  DocBook DTD 
 XSL-   XML-.

%prep

%setup
%patch0 -p0

%build
%__mkdir xhtml
cd xsl
for f in *.xsl; do
    xsltproc --nonet http://docs.altlinux.ru/releases/xsl/current/xhtml/alt-html2xhtml.xsl $f > ../xhtml/$f
done
cp -a VERSION ../xhtml
cd ..

%install

%__mkdir_p $RPM_BUILD_ROOT%websitedir-%version
cp -a VERSION catalog.xml schema xsl xhtml $RPM_BUILD_ROOT%websitedir-%version

cp %SOURCE1 $RPM_BUILD_ROOT%websitedir-%version/catalog.sgml
%__mkdir_p $RPM_BUILD_ROOT%websitedir-%version/extensions
cp -a extensions/*.jar $RPM_BUILD_ROOT%websitedir-%version/extensions
%__ln_s -f %name-%version $RPM_BUILD_ROOT%websitedir
%__mkdir -p %buildroot%_sysconfdir/buildreqs/files/ignore.d
cat %SOURCE2 > %buildroot%_sysconfdir/buildreqs/files/ignore.d/website

%files
%websitedir-%version
%dir %websitedir
%_sysconfdir/buildreqs/files/ignore.d/website
%doc ChangeLog README WhatsNew example tests

%pre
%__rm -rf -- %websitedir

%post
if [ $1 = 1 ] ; then
/usr/bin/xmlcatalog --noout --add "nextCatalog" \
        "file://%websitedir/catalog.xml" \
        "" \
        %catalog ||:
/usr/bin/xmlcatalog --noout --sgml --add "%websitedir/catalog.sgml" ||:
fi

%postun
if [ $1 = 0 ] ; then
/usr/bin/xmlcatalog --noout --del \
	"file://%websitedir/catalog.xml" \
        %catalog ||:
/usr/bin/xmlcatalog --noout --sgml --del /etc/sgml/catalog "%websitedir/catalog.sgml" ||:
fi

%triggerpostun -- website = 2.3-alt1
/usr/bin/xmlcatalog --noout --add "nextCatalog" \
        "file://%websitedir/catalog.xml" \
        "" \
        %catalog ||:

%changelog
* Wed Oct  8 2003 Vyt <vyt@altlinux.ru> 2.4.0-alt3
- fixed catalog.xml patch for rewriteURIs

* Tue Oct  7 2003 Vyt <vyt@altlinux.ru> 2.4.0-alt2
- added autogenerated XSL stylesheets for XHTML output
- added catalog.sgml for emacs-mode-psgml processing
- added file for buildreq ignore (catalog.xml, catalog.sgml)
- fixed removing files with upgrade (added dir for symlink websitedir in files)

* Wed Feb  5 2003 Vyt <vyt@altlinux.ru> 2.4.0-alt1
- 2.4.0 (bugfix release)
- Catalog resolution changed to 'nextCatalog' for the new original catalog.xml
- Patch for original catalog.xml (missed uri for 'chunk-common.xsl')
- Fixed postun script and added triggerpostun
- Added pre script for removing old dir with website (replaced with symlink)
- Fixed post script for not duplicating nextCatalog values (now xmlcatalog doesn't check it)

* Wed Sep 19 2002 Vyt <vyt@altlinux.ru> 2.3-alt1
- 2.3
- First build for Sisyphus
